
Imports System
Imports System.Drawing
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Data

Imports Syncfusion.Windows.Forms.Tools
Imports Syncfusion.Windows.Forms
Imports Syncfusion.Windows.Forms.Tools.XPMenus


'/ <summary>
'/ Summary description for Form1.
'/ </summary>

Public Class Form1
   Inherits System.Windows.Forms.Form
   Private components As System.ComponentModel.IContainer
   
   Private tabbedMdiManager As TabbedMDIManager
   
   Private f1, f2, f3 As Form
   
   Private tabcontrol As TabControlAdv
   
   Private mlbItem As MdiListBarItem
   Private mainFrameBarManager1 As Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager
   Private WithEvents barItem1 As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
   Private parentBarItem1 As Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem
   Private mdiListBarItem1 As Syncfusion.Windows.Forms.Tools.XPMenus.MdiListBarItem
   Private WithEvents barItem2 As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
   Private bar1 As Syncfusion.Windows.Forms.Tools.XPMenus.Bar
   
   
   Public Sub New()
      '
      ' Required for Windows Form Designer support
      '
      InitializeComponent()
      
      
      f1 = New Form()
      f1.Name = "MDIChild 1"
      f1.Text = "MDIChild 1"
      f1.BackColor = Color.LightBlue
      
      f1.MdiParent = Me
      f1.Show()
      
      f2 = New Form()
      f2.Name = "MDIChild 2"
      f2.Text = "MDIChild 2"
      
      f2.BackColor = Color.LightYellow
      f2.MdiParent = Me
      f2.Show()
      
      f3 = New Form()
      f3.Name = "MDIChild 3"
      f3.Text = "MDIChild 3"
      f3.BackColor = Color.LightPink
      
      f3.MdiParent = Me
      f3.Show()
      
      Me.tabbedMdiManager = New TabbedMDIManager()
      
      AddHandler Me.tabbedMdiManager.TabControlAdded, AddressOf TabControl_Added
      
      Me.tabbedMdiManager.AttachToMdiContainer(Me)
   End Sub 'New
   
   
   Private Sub TabControl_Added(sender As Object, args As TabbedMDITabControlEventArgs)
      tabcontrol = args.TabControl
   End Sub 'TabControl_Added
   
   
   '/ <summary>
   '/ Clean up any resources being used.
   '/ </summary>
   Protected Overrides Sub Dispose(disposing As Boolean)
      If disposing Then
         If Not (components Is Nothing) Then
            components.Dispose()
         End If
      End If
      MyBase.Dispose(disposing)
   End Sub 'Dispose
   
   #Region "Windows Form Designer generated code"
   
   '/ <summary>
   '/ Required method for Designer support - do not modify
   '/ the contents of this method with the code editor.
   '/ </summary>
   Private Sub InitializeComponent()
      Me.components = New System.ComponentModel.Container()
      Dim resources As New System.Resources.ResourceManager(GetType(Form1))
      Me.mainFrameBarManager1 = New Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager(Me.components, Me)
      Me.bar1 = New Syncfusion.Windows.Forms.Tools.XPMenus.Bar(Me.mainFrameBarManager1, "mainmenu")
      Me.barItem1 = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
      Me.parentBarItem1 = New Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem()
      Me.mdiListBarItem1 = New Syncfusion.Windows.Forms.Tools.XPMenus.MdiListBarItem()
      Me.barItem2 = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
      CType(Me.mainFrameBarManager1, System.ComponentModel.ISupportInitialize).BeginInit()
      ' 
      ' mainFrameBarManager1
      ' 
      Me.mainFrameBarManager1.BarPositionInfo = CType(resources.GetObject("mainFrameBarManager1.BarPositionInfo"), System.IO.MemoryStream)
      Me.mainFrameBarManager1.Bars.Add(Me.bar1)
      Me.mainFrameBarManager1.Categories.Add("mainmenu")
      Me.mainFrameBarManager1.CurrentBaseFormType = ""
      Me.mainFrameBarManager1.Form = Me
      Me.mainFrameBarManager1.ImageList = Nothing
      Me.mainFrameBarManager1.Items.AddRange(New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem() {Me.barItem1, Me.parentBarItem1, Me.mdiListBarItem1, Me.barItem2})
      Me.mainFrameBarManager1.LargeImageList = Nothing
      Me.mainFrameBarManager1.ResetCustomization = False
      Me.mainFrameBarManager1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003
      ' 
      ' bar1
      ' 
      Me.bar1.BarName = "mainmenu"
      Me.bar1.BarStyle = Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.AllowQuickCustomizing Or Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.IsMainMenu Or Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.Visible Or Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.DrawDragBorder
      Me.bar1.Items.AddRange(New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem() {Me.barItem1, Me.parentBarItem1, Me.barItem2})
      Me.bar1.Manager = Me.mainFrameBarManager1
      ' 
      ' barItem1
      ' 
      Me.barItem1.CategoryIndex = 0
      Me.barItem1.ID = "Hide/ShowMDIChild2"
      Me.barItem1.Text = "Hide/ShowMDIChild2"
      ' 
      ' parentBarItem1
      ' 
      Me.parentBarItem1.CategoryIndex = 0
      Me.parentBarItem1.ID = "MDI WindowList"
      Me.parentBarItem1.Items.AddRange(New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem() {Me.mdiListBarItem1})
      Me.parentBarItem1.Text = "MDI WindowList"
      ' 
      ' mdiListBarItem1
      ' 
      Me.mdiListBarItem1.CategoryIndex = 0
      Me.mdiListBarItem1.ID = "Window List"
      ' 
      ' barItem2
      ' 
      Me.barItem2.CategoryIndex = 0
      Me.barItem2.ID = "Detach/Attach TabbedMDIManager"
      Me.barItem2.Text = "Detach/Attach TabbedMDIManager"
      ' 
      ' Form1
      ' 
      Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
      Me.ClientSize = New System.Drawing.Size(432, 266)
      Me.IsMdiContainer = True
      Me.Name = "Form1"
      Me.Text = "Form1"
      CType(Me.mainFrameBarManager1, System.ComponentModel.ISupportInitialize).EndInit()
   End Sub 'InitializeComponent 
   #End Region
   
   
   '/ <summary>
   '/ The main entry point for the application.
   '/ </summary>
   <STAThread()>  _
   Shared Sub Main()
      Application.Run(New Form1())
   End Sub 'Main
   
   Private flag As Boolean = True
   
   Private Sub barItem1_Click(sender As Object, e As System.EventArgs) Handles barItem1.Click
      If flag Then
         Me.f2.Hide()
         Me.f2.MdiParent = Nothing
      Else
         Me.f2.Show()
         Me.f2.MdiParent = Me
      End If
      
      flag = Not flag
   End Sub 'barItem1_Click
   
   Private flag1 As Boolean = True
   
   
   Private Sub barItem2_Click(sender As Object, e As System.EventArgs) Handles barItem2.Click
      If flag1 = True Then
         Me.tabbedMdiManager.DetachFromMdiContainer(Me, True)
      Else
         Me.tabbedMdiManager.AttachToMdiContainer(Me)
      End If 
      flag1 = Not flag1
   End Sub 'barItem2_Click
End Class 'Form1