using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Windows.Forms.Tools;
using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Tools.XPMenus;

namespace _12829_mdi_hide
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.ComponentModel.IContainer components;

		private TabbedMDIManager tabbedMdiManager;

		private Form f1, f2, f3;

		private TabControlAdv tabcontrol;

		private MdiListBarItem mlbItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager mainFrameBarManager1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.MdiListBarItem mdiListBarItem1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem2;
		private Syncfusion.Windows.Forms.Tools.XPMenus.Bar bar1;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();


			f1 = new Form();
			f1.Name = "MDIChild 1";
			f1.Text = "MDIChild 1";
			f1.BackColor = Color.LightBlue;

			f1.MdiParent = this;
			f1.Show();

			f2 = new Form();
			f2.Name = "MDIChild 2";
			f2.Text = "MDIChild 2";

			f2.BackColor = Color.LightYellow;
			f2.MdiParent = this;
			f2.Show();

			f3 = new Form();
			f3.Name = "MDIChild 3";
			f3.Text = "MDIChild 3";
			f3.BackColor = Color.LightPink;

			f3.MdiParent = this;
			f3.Show();

			this.tabbedMdiManager = new TabbedMDIManager();

			this.tabbedMdiManager.TabControlAdded += new TabbedMDITabControlEventHandler (TabControl_Added);

			this.tabbedMdiManager.AttachToMdiContainer(this);			
		}

		private void TabControl_Added (object sender, TabbedMDITabControlEventArgs args)
		{
			tabcontrol = args.TabControl;
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			this.mainFrameBarManager1 = new Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager(this.components, this);
			this.bar1 = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.mainFrameBarManager1, "mainmenu");
			this.barItem1 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.parentBarItem1 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
			this.mdiListBarItem1 = new Syncfusion.Windows.Forms.Tools.XPMenus.MdiListBarItem();
			this.barItem2 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			((System.ComponentModel.ISupportInitialize)(this.mainFrameBarManager1)).BeginInit();
			// 
			// mainFrameBarManager1
			// 
			this.mainFrameBarManager1.BarPositionInfo = ((System.IO.MemoryStream)(resources.GetObject("mainFrameBarManager1.BarPositionInfo")));
			this.mainFrameBarManager1.Bars.Add(this.bar1);
			this.mainFrameBarManager1.Categories.Add("mainmenu");
			this.mainFrameBarManager1.CurrentBaseFormType = "";
			this.mainFrameBarManager1.Form = this;
			this.mainFrameBarManager1.ImageList = null;
			this.mainFrameBarManager1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																											  this.barItem1,
																											  this.parentBarItem1,
																											  this.mdiListBarItem1,
																											  this.barItem2});
			this.mainFrameBarManager1.LargeImageList = null;
			this.mainFrameBarManager1.ResetCustomization = false;
			this.mainFrameBarManager1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
			// 
			// bar1
			// 
			this.bar1.BarName = "mainmenu";
			this.bar1.BarStyle = (((Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.AllowQuickCustomizing | Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.IsMainMenu) 
				| Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.Visible) 
				| Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.DrawDragBorder);
			this.bar1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																							  this.barItem1,
																							  this.parentBarItem1,
																							  this.barItem2});
			this.bar1.Manager = this.mainFrameBarManager1;
			// 
			// barItem1
			// 
			this.barItem1.CategoryIndex = 0;
			this.barItem1.ID = "Hide/ShowMDIChild2";
			this.barItem1.Text = "Hide/ShowMDIChild2";
			this.barItem1.Click += new System.EventHandler(this.barItem1_Click);
			// 
			// parentBarItem1
			// 
			this.parentBarItem1.CategoryIndex = 0;
			this.parentBarItem1.ID = "MDI WindowList";
			this.parentBarItem1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																										this.mdiListBarItem1});
			this.parentBarItem1.Text = "MDI WindowList";
			// 
			// mdiListBarItem1
			// 
			this.mdiListBarItem1.CategoryIndex = 0;
			this.mdiListBarItem1.ID = "Window List";
			// 
			// barItem2
			// 
			this.barItem2.CategoryIndex = 0;
			this.barItem2.ID = "Detach/Attach TabbedMDIManager";
			this.barItem2.Text = "Detach/Attach TabbedMDIManager";
			this.barItem2.Click += new System.EventHandler(this.barItem2_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(432, 266);
			this.IsMdiContainer = true;
			this.Name = "Form1";
			this.Text = "Form1";
			((System.ComponentModel.ISupportInitialize)(this.mainFrameBarManager1)).EndInit();

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		bool flag = true;
		private void barItem1_Click(object sender, System.EventArgs e)
		{
			if (flag)
			{
				this.f2.Hide();
				this.f2.MdiParent = null;
			}
			else
			{
				this.f2.Show();
				this.f2.MdiParent = this;
			}

			flag = !flag;
		}

		bool flag1 = true;
		
		private void barItem2_Click(object sender, System.EventArgs e)
		{
			if (flag1 == true)
				this.tabbedMdiManager.DetachFromMdiContainer(this, true);
			else 
				this.tabbedMdiManager.AttachToMdiContainer(this);

			flag1 = !flag1;
		}
	}
}
